> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get notification

> Returns a single notification by id.



## OpenAPI

````yaml /openapi/findity-expense-api.json get /me/notifications/{id}
openapi: 3.0.3
info:
  title: Findity Expense API
  description: Findity Expense API
  version: 1.0.0
servers:
  - url: https://stage-api.findity.com/api/v1/expense
  - url: https://api.findity.com/api/v1/expense
security:
  - bearerAuth: []
paths:
  /me/notifications/{id}:
    get:
      tags:
        - Notifications
      summary: Get notification
      description: Returns a single notification by id.
      operationId: getNotification
      parameters:
        - $ref: '#/components/parameters/id'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Notification'
components:
  parameters:
    id:
      in: path
      name: id
      required: true
      description: The id of the object
      schema:
        $ref: '#/components/schemas/Uuid'
      example: da35f675f40e47bcae2fff3c43a94c73
  schemas:
    Notification:
      type: object
      description: Notification
      properties:
        id:
          $ref: '#/components/schemas/Uuid'
          readOnly: true
        header:
          type: string
          readOnly: true
        body:
          type: string
          readOnly: true
        isRead:
          type: boolean
          readOnly: true
        iconUrl:
          type: string
          readOnly: true
        dateCreated:
          type: string
          readOnly: true
        dateCreatedDescription:
          type: string
          readOnly: true
        commands:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/FieldClientCommandSchema'
      example:
        notification:
          value:
            id: ff8081818f575abe018f575b09c50072
            header: A report needs your approval
            isRead: false
            dateCreatedDescription: den 8 maj 2024
            dateCreated: '2024-05-08 10:38:55.173'
            body: >-
              You have a report from Report sender that is waiting for your
              approval. If something is incorrect you can reject the report and
              include a message to the user.
            iconUrl: http://applicationHost/apiUrl/images/icons/no_profile_image.png
            commands: []
    Uuid:
      type: string
      pattern: ^[0-9a-fA-F]{32}$
      description: UUID without dashes (32-character hex string)
    FieldClientCommandSchema:
      type: object
      description: >-
        This property is used to define the command available on the
        Notification
      properties:
        clientAction:
          type: string
          description: >-
            This property defines the client action triggered by the command.
            The value determines how the client should respond.
        entityId:
          type: string
          description: >-
            The identifier for the entity related to the action. This could be
            an expense, field group, or any other entity the command affects.
        organizationId:
          type: string
          description: >-
            The organization ID associated with the command. It is used to
            identify a specific organization when executing the command.
        url:
          type: string
          description: >-
            If the clientAction involves navigation or redirection, this
            property specifies the target URL.
        isWebView:
          type: boolean
          description: >-
            Indicates if the client action should be executed within a web view
            context (true) or not (false).
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````